<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::constants Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="namespaceunits_1_1constants.html">constants</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">units::constants Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>namespace for physical constants like PI and Avogadro's Number.  
<a href="namespaceunits_1_1constants.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Unit Containers</h2></td></tr>
<tr><td class="ititle" colspan="2"><p><a class="anchor" id="amgrpc333618898b4c47e1adf4f9eebcc6457"></a><a class="anchor" id="constantContainers"></a></p>
</td></tr>
<tr class="memitem:a50afc391c7c2d37a1d0a6baffd90f899"><td class="memItemLeft" align="right" valign="top"><a id="a50afc391c7c2d37a1d0a6baffd90f899"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>PI</b> = <a class="el" href="structunits_1_1unit.html">unit</a>&lt; std::ratio&lt; 1 &gt;, <a class="el" href="structunits_1_1unit.html">dimensionless::scalar</a>, std::ratio&lt; 1 &gt; &gt;</td></tr>
<tr class="separator:a50afc391c7c2d37a1d0a6baffd90f899"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12fad7d7baf7ffbabad530dfa21abfbf"><td class="memItemLeft" align="right" valign="top"><a id="a12fad7d7baf7ffbabad530dfa21abfbf"></a>
static constexpr const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; <a class="el" href="structunits_1_1unit.html">PI</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1constants.html#a12fad7d7baf7ffbabad530dfa21abfbf">pi</a> (1)</td></tr>
<tr class="memdesc:a12fad7d7baf7ffbabad530dfa21abfbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ratio of a circle's circumference to its diameter. <br /></td></tr>
<tr class="separator:a12fad7d7baf7ffbabad530dfa21abfbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfa211a9904208ac580676b5cc42b04a"><td class="memItemLeft" align="right" valign="top"><a id="acfa211a9904208ac580676b5cc42b04a"></a>
static constexpr const <a class="el" href="classunits_1_1unit__t.html">velocity::meters_per_second_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1constants.html#acfa211a9904208ac580676b5cc42b04a">c</a> (299792458.0)</td></tr>
<tr class="memdesc:acfa211a9904208ac580676b5cc42b04a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Speed of light in vacuum. <br /></td></tr>
<tr class="separator:acfa211a9904208ac580676b5cc42b04a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88a9eb416ba62191ccdf7be57fd1e857"><td class="memItemLeft" align="right" valign="top"><a id="a88a9eb416ba62191ccdf7be57fd1e857"></a>
static constexpr const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; <a class="el" href="group___unit_types.html#ga36d8b8cf508bd5ac7854d15f6eaf2d7c">compound_unit</a>&lt; <a class="el" href="group___unit_manipulators.html#ga4278ee8cb796f22534570134325a4d52">cubed</a>&lt; <a class="el" href="structunits_1_1unit.html">length::meters</a> &gt;, <a class="el" href="group___unit_manipulators.html#ga18b87c9f4576fb72ddc0b2a516a42d41">inverse</a>&lt; mass::kilogram &gt;, <a class="el" href="group___unit_manipulators.html#ga18b87c9f4576fb72ddc0b2a516a42d41">inverse</a>&lt; <a class="el" href="group___unit_manipulators.html#ga38048bc5246636a5eb0007262475dc38">squared</a>&lt; <a class="el" href="structunits_1_1unit.html">time::seconds</a> &gt; &gt; &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1constants.html#a88a9eb416ba62191ccdf7be57fd1e857">G</a> (6.67408<a class="el" href="namespaceunits_1_1constants.html#acebb59adda640396795adcdc84a78297">e</a>-11)</td></tr>
<tr class="memdesc:a88a9eb416ba62191ccdf7be57fd1e857"><td class="mdescLeft">&#160;</td><td class="mdescRight">Newtonian constant of gravitation. <br /></td></tr>
<tr class="separator:a88a9eb416ba62191ccdf7be57fd1e857"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7c72a21951af94023b8f27122edff1d"><td class="memItemLeft" align="right" valign="top"><a id="ae7c72a21951af94023b8f27122edff1d"></a>
static constexpr const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; <a class="el" href="group___unit_types.html#ga36d8b8cf508bd5ac7854d15f6eaf2d7c">compound_unit</a>&lt; <a class="el" href="structunits_1_1unit.html">energy::joule</a>, <a class="el" href="structunits_1_1unit.html">time::seconds</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1constants.html#ae7c72a21951af94023b8f27122edff1d">h</a> (6.626070040e-34)</td></tr>
<tr class="memdesc:ae7c72a21951af94023b8f27122edff1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Planck constant. <br /></td></tr>
<tr class="separator:ae7c72a21951af94023b8f27122edff1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad205a19ca5c38ec9202a57de18d9f920"><td class="memItemLeft" align="right" valign="top"><a id="ad205a19ca5c38ec9202a57de18d9f920"></a>
static constexpr const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; <a class="el" href="group___unit_types.html#ga36d8b8cf508bd5ac7854d15f6eaf2d7c">compound_unit</a>&lt; <a class="el" href="structunits_1_1unit.html">force::newtons</a>, <a class="el" href="group___unit_manipulators.html#ga18b87c9f4576fb72ddc0b2a516a42d41">inverse</a>&lt; <a class="el" href="group___unit_manipulators.html#ga38048bc5246636a5eb0007262475dc38">squared</a>&lt; <a class="el" href="structunits_1_1unit.html">current::ampere</a> &gt; &gt; &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1constants.html#ad205a19ca5c38ec9202a57de18d9f920">mu0</a> (<a class="el" href="namespaceunits_1_1constants.html#a12fad7d7baf7ffbabad530dfa21abfbf">pi</a> *4.0e-7 *<a class="el" href="classunits_1_1unit__t.html">force::newton_t</a>(1)/<a class="el" href="namespaceunits_1_1math.html#a75594321e6d2c1f9fb463667c70e08bf">units::math::cpow</a>&lt; 2 &gt;(<a class="el" href="classunits_1_1unit__t.html">current::ampere_t</a>(1)))</td></tr>
<tr class="memdesc:ad205a19ca5c38ec9202a57de18d9f920"><td class="mdescLeft">&#160;</td><td class="mdescRight">vacuum permeability. <br /></td></tr>
<tr class="separator:ad205a19ca5c38ec9202a57de18d9f920"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3293b4f6b327097687f7864eab9a3d1b"><td class="memItemLeft" align="right" valign="top"><a id="a3293b4f6b327097687f7864eab9a3d1b"></a>
static constexpr const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; <a class="el" href="group___unit_types.html#ga36d8b8cf508bd5ac7854d15f6eaf2d7c">compound_unit</a>&lt; <a class="el" href="structunits_1_1unit.html">capacitance::farad</a>, <a class="el" href="group___unit_manipulators.html#ga18b87c9f4576fb72ddc0b2a516a42d41">inverse</a>&lt; <a class="el" href="structunits_1_1unit.html">length::meter</a> &gt; &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1constants.html#a3293b4f6b327097687f7864eab9a3d1b">epsilon0</a> (1.0/(<a class="el" href="namespaceunits_1_1constants.html#ad205a19ca5c38ec9202a57de18d9f920">mu0</a> *<a class="el" href="namespaceunits_1_1math.html#a75594321e6d2c1f9fb463667c70e08bf">math::cpow</a>&lt; 2 &gt;(<a class="el" href="namespaceunits_1_1constants.html#acfa211a9904208ac580676b5cc42b04a">c</a>)))</td></tr>
<tr class="memdesc:a3293b4f6b327097687f7864eab9a3d1b"><td class="mdescLeft">&#160;</td><td class="mdescRight">vacuum permitivity. <br /></td></tr>
<tr class="separator:a3293b4f6b327097687f7864eab9a3d1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac689418c967c239d6212c7c34885e6e7"><td class="memItemLeft" align="right" valign="top"><a id="ac689418c967c239d6212c7c34885e6e7"></a>
static constexpr const <a class="el" href="classunits_1_1unit__t.html">impedance::ohm_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1constants.html#ac689418c967c239d6212c7c34885e6e7">Z0</a> (<a class="el" href="namespaceunits_1_1constants.html#ad205a19ca5c38ec9202a57de18d9f920">mu0</a> *<a class="el" href="namespaceunits_1_1constants.html#acfa211a9904208ac580676b5cc42b04a">c</a>)</td></tr>
<tr class="memdesc:ac689418c967c239d6212c7c34885e6e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">characteristic impedance of vacuum. <br /></td></tr>
<tr class="separator:ac689418c967c239d6212c7c34885e6e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a674cf66519349356d4126ce24a1089b7"><td class="memItemLeft" align="right" valign="top"><a id="a674cf66519349356d4126ce24a1089b7"></a>
static constexpr const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; <a class="el" href="group___unit_types.html#ga36d8b8cf508bd5ac7854d15f6eaf2d7c">compound_unit</a>&lt; <a class="el" href="structunits_1_1unit.html">force::newtons</a>, <a class="el" href="structunits_1_1unit.html">area::square_meter</a>, <a class="el" href="group___unit_manipulators.html#ga18b87c9f4576fb72ddc0b2a516a42d41">inverse</a>&lt; <a class="el" href="group___unit_manipulators.html#ga38048bc5246636a5eb0007262475dc38">squared</a>&lt; <a class="el" href="structunits_1_1unit.html">charge::coulomb</a> &gt; &gt; &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1constants.html#a674cf66519349356d4126ce24a1089b7">k_e</a> (1.0/(4 *<a class="el" href="namespaceunits_1_1constants.html#a12fad7d7baf7ffbabad530dfa21abfbf">pi</a> *<a class="el" href="namespaceunits_1_1constants.html#a3293b4f6b327097687f7864eab9a3d1b">epsilon0</a>))</td></tr>
<tr class="memdesc:a674cf66519349356d4126ce24a1089b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Coulomb's constant. <br /></td></tr>
<tr class="separator:a674cf66519349356d4126ce24a1089b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acebb59adda640396795adcdc84a78297"><td class="memItemLeft" align="right" valign="top"><a id="acebb59adda640396795adcdc84a78297"></a>
static constexpr const <a class="el" href="classunits_1_1unit__t.html">charge::coulomb_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1constants.html#acebb59adda640396795adcdc84a78297">e</a> (1.6021766208e-19)</td></tr>
<tr class="memdesc:acebb59adda640396795adcdc84a78297"><td class="mdescLeft">&#160;</td><td class="mdescRight">elementary charge. <br /></td></tr>
<tr class="separator:acebb59adda640396795adcdc84a78297"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a088d559296ce388d3105cc4f0cb6c7fa"><td class="memItemLeft" align="right" valign="top"><a id="a088d559296ce388d3105cc4f0cb6c7fa"></a>
static constexpr const mass::kilogram_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1constants.html#a088d559296ce388d3105cc4f0cb6c7fa">m_e</a> (9.10938356<a class="el" href="namespaceunits_1_1constants.html#acebb59adda640396795adcdc84a78297">e</a>-31)</td></tr>
<tr class="memdesc:a088d559296ce388d3105cc4f0cb6c7fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">electron mass. <br /></td></tr>
<tr class="separator:a088d559296ce388d3105cc4f0cb6c7fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac807acfd1b8a339101945a3e24d31549"><td class="memItemLeft" align="right" valign="top"><a id="ac807acfd1b8a339101945a3e24d31549"></a>
static constexpr const mass::kilogram_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1constants.html#ac807acfd1b8a339101945a3e24d31549">m_p</a> (1.672621898<a class="el" href="namespaceunits_1_1constants.html#acebb59adda640396795adcdc84a78297">e</a>-27)</td></tr>
<tr class="memdesc:ac807acfd1b8a339101945a3e24d31549"><td class="mdescLeft">&#160;</td><td class="mdescRight">proton mass. <br /></td></tr>
<tr class="separator:ac807acfd1b8a339101945a3e24d31549"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d1710cdda752b6e9a166dcb8726284a"><td class="memItemLeft" align="right" valign="top"><a id="a6d1710cdda752b6e9a166dcb8726284a"></a>
static constexpr const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; <a class="el" href="group___unit_types.html#ga36d8b8cf508bd5ac7854d15f6eaf2d7c">compound_unit</a>&lt; <a class="el" href="structunits_1_1unit.html">energy::joules</a>, <a class="el" href="group___unit_manipulators.html#ga18b87c9f4576fb72ddc0b2a516a42d41">inverse</a>&lt; <a class="el" href="structunits_1_1unit.html">magnetic_field_strength::tesla</a> &gt; &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1constants.html#a6d1710cdda752b6e9a166dcb8726284a">mu_B</a> (<a class="el" href="namespaceunits_1_1constants.html#acebb59adda640396795adcdc84a78297">e</a> *<a class="el" href="namespaceunits_1_1constants.html#ae7c72a21951af94023b8f27122edff1d">h</a>/(4 *<a class="el" href="namespaceunits_1_1constants.html#a12fad7d7baf7ffbabad530dfa21abfbf">pi</a> *<a class="el" href="namespaceunits_1_1constants.html#a088d559296ce388d3105cc4f0cb6c7fa">m_e</a>))</td></tr>
<tr class="memdesc:a6d1710cdda752b6e9a166dcb8726284a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bohr magneton. <br /></td></tr>
<tr class="separator:a6d1710cdda752b6e9a166dcb8726284a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5412800d78d934484ec496a7b65242bb"><td class="memItemLeft" align="right" valign="top"><a id="a5412800d78d934484ec496a7b65242bb"></a>
static constexpr const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; <a class="el" href="group___unit_manipulators.html#ga18b87c9f4576fb72ddc0b2a516a42d41">inverse</a>&lt; <a class="el" href="structunits_1_1unit.html">substance::mol</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1constants.html#a5412800d78d934484ec496a7b65242bb">N_A</a> (6.022140857e23)</td></tr>
<tr class="memdesc:a5412800d78d934484ec496a7b65242bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Avagadro's Number. <br /></td></tr>
<tr class="separator:a5412800d78d934484ec496a7b65242bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace21148d657690e879eac0f675f3b64f"><td class="memItemLeft" align="right" valign="top"><a id="ace21148d657690e879eac0f675f3b64f"></a>
static constexpr const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; <a class="el" href="group___unit_types.html#ga36d8b8cf508bd5ac7854d15f6eaf2d7c">compound_unit</a>&lt; <a class="el" href="structunits_1_1unit.html">energy::joules</a>, <a class="el" href="group___unit_manipulators.html#ga18b87c9f4576fb72ddc0b2a516a42d41">inverse</a>&lt; <a class="el" href="structunits_1_1unit.html">temperature::kelvin</a> &gt;, <a class="el" href="group___unit_manipulators.html#ga18b87c9f4576fb72ddc0b2a516a42d41">inverse</a>&lt; <a class="el" href="structunits_1_1unit.html">substance::moles</a> &gt; &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1constants.html#ace21148d657690e879eac0f675f3b64f">R</a> (8.3144598)</td></tr>
<tr class="memdesc:ace21148d657690e879eac0f675f3b64f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gas constant. <br /></td></tr>
<tr class="separator:ace21148d657690e879eac0f675f3b64f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a759279a259270682be37cd3355341465"><td class="memItemLeft" align="right" valign="top"><a id="a759279a259270682be37cd3355341465"></a>
static constexpr const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; <a class="el" href="group___unit_types.html#ga36d8b8cf508bd5ac7854d15f6eaf2d7c">compound_unit</a>&lt; <a class="el" href="structunits_1_1unit.html">energy::joules</a>, <a class="el" href="group___unit_manipulators.html#ga18b87c9f4576fb72ddc0b2a516a42d41">inverse</a>&lt; <a class="el" href="structunits_1_1unit.html">temperature::kelvin</a> &gt; &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1constants.html#a759279a259270682be37cd3355341465">k_B</a> (<a class="el" href="namespaceunits_1_1constants.html#ace21148d657690e879eac0f675f3b64f">R</a>/<a class="el" href="namespaceunits_1_1constants.html#a5412800d78d934484ec496a7b65242bb">N_A</a>)</td></tr>
<tr class="memdesc:a759279a259270682be37cd3355341465"><td class="mdescLeft">&#160;</td><td class="mdescRight">Boltzmann constant. <br /></td></tr>
<tr class="separator:a759279a259270682be37cd3355341465"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4333dda9f46ce1d2c6c5061ecfc92341"><td class="memItemLeft" align="right" valign="top"><a id="a4333dda9f46ce1d2c6c5061ecfc92341"></a>
static constexpr const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; <a class="el" href="group___unit_types.html#ga36d8b8cf508bd5ac7854d15f6eaf2d7c">compound_unit</a>&lt; <a class="el" href="structunits_1_1unit.html">charge::coulomb</a>, <a class="el" href="group___unit_manipulators.html#ga18b87c9f4576fb72ddc0b2a516a42d41">inverse</a>&lt; <a class="el" href="structunits_1_1unit.html">substance::mol</a> &gt; &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1constants.html#a4333dda9f46ce1d2c6c5061ecfc92341">F</a> (<a class="el" href="namespaceunits_1_1constants.html#a5412800d78d934484ec496a7b65242bb">N_A</a> *<a class="el" href="namespaceunits_1_1constants.html#acebb59adda640396795adcdc84a78297">e</a>)</td></tr>
<tr class="memdesc:a4333dda9f46ce1d2c6c5061ecfc92341"><td class="mdescLeft">&#160;</td><td class="mdescRight">Faraday constant. <br /></td></tr>
<tr class="separator:a4333dda9f46ce1d2c6c5061ecfc92341"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b0ab185e827e62cfb77e4e996a1374d"><td class="memItemLeft" align="right" valign="top"><a id="a3b0ab185e827e62cfb77e4e996a1374d"></a>
static constexpr const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; <a class="el" href="group___unit_types.html#ga36d8b8cf508bd5ac7854d15f6eaf2d7c">compound_unit</a>&lt; <a class="el" href="structunits_1_1unit.html">power::watts</a>, <a class="el" href="group___unit_manipulators.html#ga18b87c9f4576fb72ddc0b2a516a42d41">inverse</a>&lt; <a class="el" href="structunits_1_1unit.html">area::square_meters</a> &gt;, <a class="el" href="group___unit_manipulators.html#ga18b87c9f4576fb72ddc0b2a516a42d41">inverse</a>&lt; <a class="el" href="group___unit_manipulators.html#ga38048bc5246636a5eb0007262475dc38">squared</a>&lt; <a class="el" href="group___unit_manipulators.html#ga38048bc5246636a5eb0007262475dc38">squared</a>&lt; <a class="el" href="structunits_1_1unit.html">temperature::kelvin</a> &gt; &gt; &gt; &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1constants.html#a3b0ab185e827e62cfb77e4e996a1374d">sigma</a> ((2 *<a class="el" href="namespaceunits_1_1math.html#a75594321e6d2c1f9fb463667c70e08bf">math::cpow</a>&lt; 5 &gt;(<a class="el" href="namespaceunits_1_1constants.html#a12fad7d7baf7ffbabad530dfa21abfbf">pi</a>) *<a class="el" href="namespaceunits_1_1math.html#a75594321e6d2c1f9fb463667c70e08bf">math::cpow</a>&lt; 4 &gt;(<a class="el" href="namespaceunits_1_1constants.html#ace21148d657690e879eac0f675f3b64f">R</a>))/(15 *<a class="el" href="namespaceunits_1_1math.html#a75594321e6d2c1f9fb463667c70e08bf">math::cpow</a>&lt; 3 &gt;(<a class="el" href="namespaceunits_1_1constants.html#ae7c72a21951af94023b8f27122edff1d">h</a>) *<a class="el" href="namespaceunits_1_1math.html#a75594321e6d2c1f9fb463667c70e08bf">math::cpow</a>&lt; 2 &gt;(<a class="el" href="namespaceunits_1_1constants.html#acfa211a9904208ac580676b5cc42b04a">c</a>) *<a class="el" href="namespaceunits_1_1math.html#a75594321e6d2c1f9fb463667c70e08bf">math::cpow</a>&lt; 4 &gt;(<a class="el" href="namespaceunits_1_1constants.html#a5412800d78d934484ec496a7b65242bb">N_A</a>)))</td></tr>
<tr class="memdesc:a3b0ab185e827e62cfb77e4e996a1374d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stefan-Boltzmann constant. <br /></td></tr>
<tr class="separator:a3b0ab185e827e62cfb77e4e996a1374d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>namespace for physical constants like PI and Avogadro's Number. </p>
<dl class="section see"><dt>See also</dt><dd>See <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> for more information on <a class="el" href="structunits_1_1unit.html" title="Type representing an arbitrary unit.">unit</a> type containers. </dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:54 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
